import { defineNuxtModule, createResolver, addComponentsDir } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "@7span/nuxt-editorjs-renderer",
    configKey: "editorjsRenderer"
  },
  // Default configuration options of the Nuxt module
  defaults: {
    assetsBaseUrl: "",
    classList: {
      alignment: {
        left: "text-left",
        right: "text-right",
        center: "text-center"
      }
    }
  },
  async setup(options, nuxt) {
    const { resolve } = createResolver(import.meta.url);
    nuxt.options.runtimeConfig.public.editorjsRenderer = options;
    addComponentsDir({
      path: resolve("runtime/components"),
      prefix: "ej",
      global: true
    });
  }
});

export { module as default };
